using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace lkfxdok.LKF.stat
{
    public class StatKA
    {
        public readonly int ambChemo, ambPsych, ambZAE, ambTKL;
        public readonly int BTGES, AUFGES, VVVGES, ENTGES, VERSTGES, AJVGES, GPPATGES, ETPGES;
        internal StatKA(ContextWithData context, StatContext statContext)
        {
            BTGES = statContext.GetIntValue(StatType.KA, 0, StatField.Belagstage);
            AUFGES = statContext.GetIntValue(StatType.KA, 0, StatField.Aufnahmen);
            VVVGES = statContext.GetIntValue(StatType.KA, 0, StatField.Verblieben);
            ENTGES = statContext.GetIntValue(StatType.KA, 0, StatField.Entlassung);
            VERSTGES = statContext.GetIntValue(StatType.KA, 0, StatField.Verstorben);
            AJVGES = statContext.GetIntValue(StatType.KA, 0, StatField.Verbleibend);
            GPPATGES = statContext.GetIntValue(StatType.KA, 0, StatField.GanzJahr);
            ETPGES = statContext.GetIntValue(StatType.KA, 0, StatField.Eintag);

            ambChemo = context.CD.GetAmbCounter(0);
            ambPsych = context.CD.GetAmbCounter(1);
            ambZAE = context.CD.GetAmbCounter(2);
            ambTKL = context.CD.GetAmbCounter(3);
        }
    }
}
